Package org.eclipse.cdt.utils

## Class NM.AddressNamePair

- java.lang.Object
- - org.eclipse.cdt.utils.NM.AddressNamePair

Enclosing class:
  NM

    public class NM.AddressNamePair
    extends Object

### Field Summary

Fields
`long` `address`
`String` `name`

### Constructor Summary

Constructors
`AddressNamePair​(String n, long a)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### name

    public String name

#### address

    public long address

### Constructor Detail

#### AddressNamePair

    public AddressNamePair​(String n,
                           long a)

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`